Page MenuHomePhabricator

cloudvps: puppet project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the puppet project needs to upgrade as soon as possible.

The list of affected VMs is:

  • puppet-mailman.puppet.eqiad.wmflabs
  • trusty-update.puppet.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/puppet

Event Timeline

Krenair triaged this task as Medium priority.Sep 17 2018, 4:45 PM
Krenair created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 4:45 PM
Krenair updated the task description. (Show Details)Sep 17 2018, 4:45 PM
Dzahn added a comment.EditedSep 17 2018, 10:46 PM

puppet-mailman.puppet.eqiad.wmflabs

I logged in here. i can see apparently only myself and @Matanya used it / logged in besides root ( over 3 years ago) per:

root@puppet-mailman:~# lastlog | grep -v Never
Username         Port     From             Latest
root             pts/3    bastion-restrict Wed May 31 14:11:21 +0000 2017
dzahn            pts/3    bastion-restrict Mon Sep 17 22:43:20 +0000 2018
matanya          pts/0    bastion-01.basti Mon Aug 24 10:27:23 +0000 2015

There is nothing in our home dirs or other indications of ongoing work. I am definitely not doing anything with this.

I will shut it down.

Mentioned in SAL (#wikimedia-cloud) [2018-09-17T23:15:15Z] <mutante> shut down trusty instance "puppet-mailman" (T204558)

trusty-update

lastlog and bash_history here looks like this was used by @Andrew for some puppet testing (vi /etc/puppet/puppet.conf in Oct 2017) and besides only @Muehlenhoff once logged in to install a kernel.

Being bold and also shutting this one down.

Mentioned in SAL (#wikimedia-cloud) [2018-09-17T23:21:41Z] <mutante> shut down instance trusty-update (T204558)

Both instances are shut down but not deleted yet.

Dzahn claimed this task.Sep 17 2018, 11:22 PM
Dzahn added a subscriber: aborrero.EditedSep 20 2018, 11:37 PM

@aborrero @Andrew The trusty instances above can be removed (if needed)

@Krenair Is this resolved after shutdown or only after actual instance deletion?

Only after instance deletion. Shutting an instance down is reversible.

Mentioned in SAL (#wikimedia-cloud) [2018-09-21T23:16:34Z] <mutante> deleting unused instance puppet-mailman (T204558)

Mentioned in SAL (#wikimedia-cloud) [2018-09-21T23:17:10Z] <mutante> deleting unused instance trusty-update (T204558)

Dzahn closed this task as Resolved.Sep 21 2018, 11:17 PM
Krenair reopened this task as Open.Oct 22 2018, 2:15 PM

Sorry, reopening this one because one was missed (on account of being inaccessible when Cumin was being run to find all trusty instances): compiler.puppet.eqiad.wmflabs - it's still not responding to ping or SSH.
@akosiaris, apparently you set this up 4 years ago, any chance you can shed any light on why it's not responding despite being status active instead of shutoff? What did it do and is it still useful?
@Dzahn, feel free to unassign if you don't know anything about compiler.

Dzahn reassigned this task from Dzahn to akosiaris.Oct 27 2018, 1:08 AM

@akosiaris just confirming it can be deleted...right?

Sorry, reopening this one because one was missed (on account of being inaccessible when Cumin was being run to find all trusty instances): compiler.puppet.eqiad.wmflabs - it's still not responding to ping or SSH.
@akosiaris, apparently you set this up 4 years ago, any chance you can shed any light on why it's not responding despite being status active instead of shutoff?

No, I have no idea why it does not respond to either ping or ssh, despite just being forcefully rebooted.

What did it do and is it still useful?

If my memory serves me correctly, it contains the very first version (more a PoC/inspiration really) of our puppet catalog compiler. It is no longer useful, feel free to remove it.

@akosiaris just confirming it can be deleted...right?

Yes

Instance deleted.

colewhite closed this task as Resolved.Nov 2 2018, 4:16 PM